/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.iconexplorer.internal;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Access to Messages.properties.
 */
public class Messages {
	
	private static final String BUNDLE_NAME= "org.eclipse.iconexplorer.internal.Messages";//$NON-NLS-1$
	private static final ResourceBundle RESOURCE_BUNDLE= ResourceBundle.getBundle(BUNDLE_NAME);
	
	private Messages() {
	}
	
	/**
	 * Returns the value of the property with the given key in Messages.properties.
	 * 
	 * @param key the property key
	 * @return the value of the property
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}